/*
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This code is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this code; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.  */

/* Copyright (C) 2002 Ian Zimmerman <itz@speakeasy.org> */

#ifndef INCLUDE_XCOLORSEL_HH
#define INCLUDE_XCOLORSEL_HH

/* $Id: xcolorsel.hh,v 1.1 2002/09/09 18:31:12 itz Exp $ */

#include <gtk--/window.h>

class my_color_selection;

class xcolorsel_window : public Gtk::Window {
public:
  xcolorsel_window();
  void start_grab_loop(void);
private:
  static void destroy_handler();
  my_color_selection* p_color_selection;
  typedef Gtk::Window inherited;
  int grabbing;

protected:
  virtual gint button_press_event_impl(GdkEventButton* p0);
};

#endif // INCLUDE_XCOLORSEL_HH
